Bug 162115 - complex kickstart package list kills anaconda install
complex kickstart package list kills anaconda install
Status: CLOSED DUPLICATE of bug 160209
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-06-29 20:38 EDT by Fred Bourgeois
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-30 06:54:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kickstart file that causes problem (7.12 KB, text/plain)
2005-06-29 20:48 EDT, Fred Bourgeois
no flags Details

  None (edit)
Description Fred Bourgeois 2005-06-29 20:38:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030208 Netscape/7.02

Description of problem:
When using a complex list of packages in a kickstart file, anaconda dies due to
package selection problems.  The anaconda-ks.cfg file is attached to this bug
report.  This file was copied verbatim from a previous interactive kickstart
installation that generated the kickstart file (on FC4).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot from FC4 RescueCD
2. At boot prompt: linux ks=
ksdevice=eth1 ip= netmask= gateway=

Actual Results:  Installation ceased.

Expected Results:  Install should have proceeded normally - the package list being used is taken
directly from the anaconda-ks.cfg file generated by a previous successful
installation of fc4.

Additional info:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1160, in ?
    intf.run(id, dispatch)
  File "/usr/lib/anaconda/text.py", line 447, in run
    (step, args) = dispatch.currentStep()
  File "/usr/lib/anaconda/dispatch.py", line 279, in currentStep
  File "/usr/lib/anaconda/dispatch.py", line 174, in gotoNext
  File "/usr/lib/anaconda/dispatch.py", line 242, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 207, in readPackages
    id.instClass.setGroupSelection(grpset, intf)
  File "/usr/lib/anaconda/kickstart.py", line 1559, in setGroupSelection
    pkgs = grpset.hdrlist.pkgnames[name]
KeyError: ''

Local variables in innermost frame:
grpset: <hdrlist.GroupSet instance at 0xb79b3f8c>
intf: <text.InstallInterface instance at 0xb7afef0c>
fields: ['GConf2']
self: <kickstart.Kickstart instance at 0xb75cf90c>
n: GConf2
arch: GConf2
Comment 1 Fred Bourgeois 2005-06-29 20:48:47 EDT
Created attachment 116158 [details]
kickstart file that causes problem
Comment 2 Paul Nasrat 2005-06-30 06:54:19 EDT
This looks like a known bug fixed in rawhide.  See bug #160209 for workarounds (
use -name.arch, or how to create updates image).

*** This bug has been marked as a duplicate of 160209 ***

Note You need to log in before you can comment on or make changes to this bug.